# Other APIs

## Gets the average APY of BlazeStake over the past few epochs

<mark style="color:blue;">`GET`</mark> `stake.solblaze.org/api/v1/apy`

{% tabs %}
{% tab title="200: OK success - returns APY" %}

```javascript
{
    "success": true,
    "apy": ...
}
```

{% endtab %}
{% endtabs %}

## Gets the number of validators in the BlazeStake standard delegation

<mark style="color:blue;">`GET`</mark> `stake.solblaze.org/api/v1/validator_count`

{% tabs %}
{% tab title="200: OK success - returns count" %}

```javascript
{
    "success": true,
    "total": ...
}
```

{% endtab %}
{% endtabs %}

## Gets the set of validators in the BlazeStake standard delegation

<mark style="color:blue;">`GET`</mark> `stake.solblaze.org/api/v1/validator_set`

{% tabs %}
{% tab title="200: OK success - returns the validators in the standard delegation" %}

```javascript
{
    success: "true",
    "vote_accounts": [...]
}
```

{% endtab %}
{% endtabs %}

## Updates the stake pool at the beginning of the epoch from the TypeScript SDK

<mark style="color:blue;">`GET`</mark> `stake.solblaze.org/api/v1/update_pool`

This API endpoint is a crank that is usually automatically called to update the stake pool if needed at the beginning of every epoch, but it can be called manually just in case.

#### Query Parameters

| Name    | Type   | Description                                              |
| ------- | ------ | -------------------------------------------------------- |
| network | String | The cluster to use when updating the pool (mainnet-beta) |

{% tabs %}
{% tab title="200: OK success - updated the stake pool" %}

```javascript
{
    "success": true
}
```

{% endtab %}

{% tab title="200: OK error - failed to update the stake pool" %}

```javascript
{
    "success": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://stake-docs.solblaze.org/developers/other-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
